Bug 1013673 - MySQL cartridge upgrade hotfix fails when data/ib_logfile* is missing
MySQL cartridge upgrade hotfix fails when data/ib_logfile* is missing
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 10:57 EDT by Fotios Lindiakos
Modified: 2015-05-14 19:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 10:39:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fotios Lindiakos 2013-09-30 10:57:52 EDT
Description of problem:
There was a hotfix for Bug1008043, but this fails if the ib_logfile is missing.

Version-Release number of selected component (if applicable):
devenv-stage_474

How reproducible:
Always when migrating gears missing data/ib_logfile*


Steps to Reproduce:
1. Create app with MySQL cartridge
2. Remove data/ib_logfile*
3. Run migration for gear

Actual results:
Upgrade fails

Expected results:
Upgrade should succeed

Additional info:
The app will have to be made with an older version of the MySQL cartridge and the upgraded.

Note You need to log in before you can comment on or make changes to this bug.